
From: Arnaldo Carvalho de Melo <acme@conectiva.com.br>

ipv6/route: fix .dst.metrics struct init for ip6_null_entry



 net/ipv6/route.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN net/ipv6/route.c~ipv6-compile-fix net/ipv6/route.c
--- 25/net/ipv6/route.c~ipv6-compile-fix	2003-05-17 15:01:12.000000000 -0700
+++ 25-akpm/net/ipv6/route.c	2003-05-17 15:01:12.000000000 -0700
@@ -108,7 +108,7 @@ struct rt6_info ip6_null_entry = {
 			.dev		= &loopback_dev,
 			.obsolete	= -1,
 			.error		= -ENETUNREACH,
-			.metrics[RTAX_HOPLIMIT-1] = 255,
+			.metrics	= { [RTAX_HOPLIMIT - 1] = 255, },
 			.input		= ip6_pkt_discard,
 			.output		= ip6_pkt_discard,
 			.ops		= &ip6_dst_ops,

_
